Name:           asterisk-capi
Version:        1.1.6
Release:        1%{?dist}
Summary:        CAPI 2.0 (ISDN) channel driver for Asterisk

License:        GPLv2+
URL:            http://www.chan-capi.org/
Source0:        ftp://ftp.chan-capi.org/chan-capi/chan_capi-HEAD.tgz
Source1:        asteriskcapi.te
Source2:        asteriskcapi.fc
Patch0:         chancapi-adlerweb.patch
Patch1:         chancapi.patch

BuildRequires:  asterisk-devel

%description
This package contains an asterisk channel driver for CAPI 2.0 compatible
ISDN interfaces.


%package selinux
Summary:          SELinux context for %{name}
Group:            Applications/System
Requires:         %name = %version-%release
Requires:         selinux-policy >= %{selinux_policyver}
Requires(post):   policycoreutils
Requires(postun): policycoreutils

%description selinux
SElinux context for %{name}.

%define selinux_policyver %(%{__sed} -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp || echo 0.0.0)

%define selinux_variants mls strict targeted


%prep
%setup -q -n chan-capi-HEAD
%patch0 -p1 -b .ast11a
%patch1 -p0 -b .capi
mkdir selinux
cp %{SOURCE1} %{SOURCE2} selinux

%build
#make %{?_smp_mflags} USE_OWN_LIBCAPI=no OPTIMIZE="${RPM_OPT_FLAGS}"
make USE_OWN_LIBCAPI=no OPTIMIZE="${RPM_OPT_FLAGS}"

pushd selinux
for selinuxvariant in %{selinux_variants}
do
  make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile
  mv asteriskcapi.pp asteriskcapi.pp.${selinuxvariant}
  make NAME=${selinuxvariant} -f /usr/share/selinux/devel/Makefile clean
done
popd


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX="$RPM_BUILD_ROOT" install
mv $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/%{_libdir}
make INSTALL_PREFIX="$RPM_BUILD_ROOT" install_config

# Install SELinux files
for selinuxvariant in %{selinux_variants}
do
  install -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
  install -p -m 644 selinux/asteriskcapi.pp.${selinuxvariant} \
    %{buildroot}%{_datadir}/selinux/${selinuxvariant}/asteriskcapi.pp
done
/usr/sbin/hardlink -cv %{buildroot}%{_datadir}/selinux


%post selinux
for selinuxvariant in %{selinux_variants}
do
  /usr/sbin/semodule -s ${selinuxvariant} -i \
    %{_datadir}/selinux/${selinuxvariant}/asteriskcapi.pp &> /dev/null || :
done
restorecon -R  %{_localstatedir}/run/mISDNcapid || :


%postun selinux
if [ $1 -eq 0 ] ; then
  for selinuxvariant in %{selinux_variants}
  do
    /usr/sbin/semodule -s ${selinuxvariant} -r asteriskcapi &> /dev/null || :
  done
fi


%files
%doc LICENSE CHANGES README README.ami README.Diva.fax README.Diva.HDAudio README.Diva.qsig README.Diva.streaming README.media README.mwi README.qsig
%config /etc/asterisk/capi.conf
%{_libdir}/asterisk/modules/chan_capi.so


%files selinux
%defattr(-,root,root,-)
%doc selinux/*.{fc,te}
%{_datadir}/selinux/*/asteriskcapi.pp


%changelog
* Sat Nov 23 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.6-1
- initial version
